activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hiram Chirino" <hi...@hiramchirino.com>
Subject Re: upgrade from 3.0 to 4.0
Date Thu, 25 May 2006 01:07:39 GMT
The easiest way to do that is:

        BrokerService broker = new BrokerService();
        broker.setPersistent(false);
        broker.start();

or if you want to configure the broker using an external xbean
configuration file:

        BrokerService broker = BrokerFactory.createBroker(new
URI("xbean:file:/path_to_file.xml"));
        broker.start();

On 5/24/06, sram <shantharama@gmail.com> wrote:
>
> We are upgrading ActiveMQ 3.0 to 4.0,
>
> Just wondering best way to replace following persistance code
>
> File f = new File(System.getProperty("java.io.tmpdir"),"ltsEvent");
> PersistanceAdapter padapter =
> persistenceFactory.createPersistenceAdapter(f,new
> MemoryBoundedObjectManager(BusName,MaxEvents);
>
> broker.setPersistenceAdapter(new JournalPersistenceAdapter(new
> File(System.getProperty("java.io.tmpdir")), padapter);
>
> since MemoryBoundedObjectManager is not supported, I am looking for best
> alternative way to configure broker for persistance.
>
> Also, If I did not configure the persistance will it use the default derby
> for persistance
>
>
>
>
>
>
>
>
>
> Do you know where I can find on how to set Persistance adapter in 4.0
> similar to the above 3.0 config.
>
>
>
> I am still trying to find activemq site with not much luck
>
>
>
>
> --
> View this message in context: http://www.nabble.com/upgrade+from+3.0+to+4.0-t1678274.html#a4551148
> Sent from the ActiveMQ - Dev forum at Nabble.com.
>
>


-- 
Regards,
Hiram

Mime
View raw message